##########
#
#  Copyright 2002, Tom Hoffman.
#
#  This file is part of Tuttle.
#
#  Tuttle is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  Tuttle is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Tuttle (see COPYING.txt); if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##########

from OFS.Folder import Folder
from Globals import DTMLFile

class TeacherClass(Folder):
	"Make one of these folderish objects for each class a teacher has"

	meta_type = "Teacher Class"
	
	Roster = []
	showTeam = []

	_properties=(
	{'id':'title', 'type':'string'},
	{'id':'CourseName', 'type':'string'},
	{'id':'Subject', 'type':'selection','select_variable':'SubjectList'},
	{'id':'Description','type':'text'},
	{'id':'Roster','type':'lines'} 
	)

        # set up our management tabs
        manage_options=Folder.manage_options[:3] + (
        {'label':'Edit Roster','action':'manage_ClassRosterForm'},
        ) + Folder.manage_options[3:]
	
        def __init__ (self, id, CourseName="" , Subject="", Description="", REQUEST=None):
                self.id=id
                self.editTeacherClass(CourseName, Subject, Description)

        def editTeacherClass(self, CourseName, Subject, Description, REQUEST=None):
                "Method for updating class information "
                self.title=CourseName + " Class Folder"
		self.CourseName=CourseName
		self.Subject=Subject
		self.Description=Description
		if REQUEST is not None:
                        return self.index_html(self,REQUEST)

	def manageClassRoster(self, rosterAdds=[], REQUEST="none"):
		"Sets a list of names as a roster"
		self.Roster = rosterAdds
		if REQUEST is not None:
			return self.manage_ClassRosterForm(self, REQUEST)

        # Web Presentation Methods
        index_html=DTMLFile("dtml/indexTeacherClass",globals())
        addTeacherClass=DTMLFile("dtml/addTeacherClassForm",globals())
	manage_ClassRosterForm=DTMLFile("dtml/manageClassRoster",globals()) 
