##########
#
#  Copyright 2002, Tom Hoffman.
# 
#  This file is part of Tuttle.
#
#  Tuttle is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  Tuttle is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Tuttle (see COPYING.txt); if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##########

from OFS.Folder import Folder
from TeacherPersonal import TeacherPersonal
from Globals import DTMLFile
import string



class TeachersFolder(Folder):
    "These objects contain individual teachers folders."
    
    meta_type="Teachers Folder"
    
    _properties=(
    {'id':'title', 'type':'string'},
    )

    manage_options=Folder.manage_options[:3] + (
    {'label':'Add Teacher','action':'manage_addTeacherPersonalForm'},
    ) + Folder.manage_options[3:]


    def __init__ (self,id,title):
        self.id=id
	self.title=title

    # methods to add, edit and retrieve TeacherPersonal instances

    def addTeacherPersonal(self, id, FirstName, LastName, MiddleName, PreferredName, \
    Prefix, Suffix, Gender, Team, REQUEST=None):
        "Method to add a TeacherPersonal object to a TeacherFolder"
        newTeacherPersonal=TeacherPersonal(id, FirstName, LastName, MiddleName, \
        PreferredName, Prefix, Suffix, Gender, Team,) 
        self._setObject(id, newTeacherPersonal)
        if REQUEST is not None:
            return self.manage_main(self, REQUEST)


    # web presentation methods
    manage_addTeacherPersonalForm=DTMLFile("dtml/addTeacherPersonalForm",globals())

